package com.hh.hhomc;

import android.os.Parcel;
import android.os.Parcelable;

public class AppMessageBean implements Parcelable {

    // 服务端app发送给业务app的指令
    private String op;

    // 业务app包名
    String businessAppPackageName;
    String businessAppVersionName;

    // aidl发送者
    String sender;

    String sn;

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getSender() {
        return sender;
    }

    public void setSender(String sender) {
        this.sender = sender;
    }

    public String getOp() {
        return op;
    }

    public void setOp(String op) {
        this.op = op;
    }

    public String getBusinessAppPackageName() {
        return businessAppPackageName;
    }

    public void setBusinessAppPackageName(String businessAppPackageName) {
        this.businessAppPackageName = businessAppPackageName;
    }

    public String getBusinessAppVersionName() {
        return businessAppVersionName;
    }

    public void setBusinessAppVersionName(String businessAppVersionName) {
        this.businessAppVersionName = businessAppVersionName;
    }


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.op);
        dest.writeString(this.businessAppPackageName);
        dest.writeString(this.businessAppVersionName);
        dest.writeString(this.sender);
        dest.writeString(this.sn);
    }

    public void readFromParcel(Parcel source) {
        this.op = source.readString();
        this.businessAppPackageName = source.readString();
        this.businessAppVersionName = source.readString();
        this.sender = source.readString();
        this.sn = source.readString();
    }

    public AppMessageBean() {
    }

    protected AppMessageBean(Parcel in) {
        this.op = in.readString();
        this.businessAppPackageName = in.readString();
        this.businessAppVersionName = in.readString();
        this.sender = in.readString();
        this.sn = in.readString();
    }

    public static final Creator<AppMessageBean> CREATOR = new Creator<AppMessageBean>() {
        @Override
        public AppMessageBean createFromParcel(Parcel source) {
            return new AppMessageBean(source);
        }

        @Override
        public AppMessageBean[] newArray(int size) {
            return new AppMessageBean[size];
        }
    };

    @Override
    public String toString() {
        return "AppMessageBean{" +
                "op='" + op + '\'' +
                ", businessAppPackageName='" + businessAppPackageName + '\'' +
                ", businessAppVersionName='" + businessAppVersionName + '\'' +
                ", sender='" + sender + '\'' +
                ", sn='" + sn + '\'' +
                '}';
    }
}